import request from '@/utils/request'

// 查询居民标签关联列表
export function listJmtag(query) {
  return request({
    url: '/szxc/jmtag/list',
    method: 'get',
    params: query
  })
}

// 查询居民标签关联详细
export function getJmtag(jmId) {
  return request({
    url: '/szxc/jmtag/' + jmId,
    method: 'get'
  })
}

// 新增居民标签关联
export function addJmtag(data) {
  return request({
    url: '/szxc/jmtag',
    method: 'post',
    data: data
  })
}

// 修改居民标签关联
export function updateJmtag(data) {
  return request({
    url: '/szxc/jmtag',
    method: 'put',
    data: data
  })
}

// 删除居民标签关联
export function delJmtag(jmId) {
  return request({
    url: '/szxc/jmtag/' + jmId,
    method: 'delete'
  })
}

// 新增居民标签关联
export function addAllJmtag(data) {
  return request({
    url: '/szxc/jmtag/addAll',
    method: 'post',
    data: data
  })
}
